<?php
declare (strict_types = 1);

namespace app\admin\middleware;
use app\admin\model\SystemLog;
use think\facade\Cache;

class checkToken
{
    /**
     * 处理请求
     *
     * @param \think\Request $request
     * @param \Closure       $next
     * @return
     */
    public function handle($request, \Closure $next)
    {
        if ($request->isOptions()) {
            return json();
        }
        $token=$request->param('token');
        $userinfo = Cache::get('user:info:'.$token);
        $data=[
        	"info"=>"",
        	"action"=>"",
        	"url"=>$request->server()['REQUEST_URI'],
        	"param"=>json_encode($request->param(),JSON_UNESCAPED_UNICODE),
        	"name"=>$userinfo['nickname']??'system',
        	"addtime"=>date("Y-m-d H:i:s")
        ];
        SystemLog::create($data);
        return $next($request);
    }
    
}
